Package com.google.javascript.jscomp.deps

# Enum DepsGenerator.InclusionStrategy

java.lang.Object
java.lang.Enum<DepsGenerator.InclusionStrategy>
com.google.javascript.jscomp.deps.DepsGenerator.InclusionStrategy

All Implemented Interfaces:
  `Serializable`, `Comparable<DepsGenerator.InclusionStrategy>`, `java.lang.constant.Constable`

Enclosing class:
  `DepsGenerator`

public static enum DepsGenerator.InclusionStrategy extends Enum<DepsGenerator.InclusionStrategy>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALWAYS`
`DO_NOT_DUPLICATE`
`WHEN_IN_SRCS`

## Method Summary

Modifier and Type
Method
Description
`static DepsGenerator.InclusionStrategy`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DepsGenerator.InclusionStrategy[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALWAYS

public static final DepsGenerator.InclusionStrategy ALWAYS

### WHEN_IN_SRCS

public static final DepsGenerator.InclusionStrategy WHEN_IN_SRCS

### DO_NOT_DUPLICATE

public static final DepsGenerator.InclusionStrategy DO_NOT_DUPLICATE

## Method Details

### values

public static DepsGenerator.InclusionStrategy[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DepsGenerator.InclusionStrategy valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null